Bug 771853 - (CVE-2010-4820) CVE-2010-4820 ghostscript: CWD included in the default library search path
CVE-2010-4820 ghostscript: CWD included in the default library search path
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=debian,reporte...
: Security
Depends On: 755923 755924 755925 755926 755928
Blocks: 733386
  Show dependency treegraph
 
Reported: 2012-01-05 04:08 EST by Ramon de C Valle
Modified: 2013-10-13 21:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-14 08:55:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 608071 None None None Never
Ghostscript 691339 None None None Never

  None (edit)
Description Ramon de C Valle 2012-01-05 04:08:30 EST
Ghostscript included the current working directory in its library search path by default. If a user ran Ghostscript without the "-P-" option in an attacker-controlled directory containing a specially-crafted PostScript library file, it could cause Ghostscript to execute arbitrary PostScript code. With this update, Ghostscript no longer searches the current working directory for library files by default. (CVE-2010-4820)

Note: The fix for CVE-2010-4820 could possibly break existing configurations. To use the previous, vulnerable behavior, run Ghostscript with the "-P" option (to always search the current working directory first).
Comment 1 Tomas Hoger 2012-01-08 08:24:21 EST
This issue was originally tracked with CVE-2010-2055 via bug #599564.  It got a separate CVE id, as it is separate issue, see e.g.:
  http://thread.gmane.org/gmane.comp.security.oss.general/2973/focus=3354

Issue was tracked upstream in:
  http://bugs.ghostscript.com/show_bug.cgi?id=691339

Following upstream commit changes ghostscript's default to not include CWD in the library search path by default (SEARCH_HERE_FIRST=0 if the default now):
  http://svn.ghostscript.com/viewvc?view=rev&revision=11494

Flaw type:
  CWE-427: Uncontrolled Search Path Element
  http://cwe.mitre.org/data/definitions/427.html
Comment 2 errata-xmlrpc 2012-02-02 17:33:22 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0096 https://rhn.redhat.com/errata/RHSA-2012-0096.html
Comment 3 errata-xmlrpc 2012-02-02 17:46:00 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0095 https://rhn.redhat.com/errata/RHSA-2012-0095.html

Note You need to log in before you can comment on or make changes to this bug.